Last Comment Bug 732585 - Drag and drop images into message window is broken
: Drag and drop images into message window is broken
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: x86 Windows XP
: -- major (vote)
: mozilla14
Assigned To: :Ehsan Akhgari
:
:
Mentors:
: 732940 740022 (view as bug list)
Depends on:
Blocks: 499008
  Show dependency treegraph
 
Reported: 2012-03-02 14:20 PST by Bozz
Modified: 2012-03-30 05:35 PDT (History)
14 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
verified


Attachments
Patch (v1) (869 bytes, patch)
2012-03-23 16:36 PDT, :Ehsan Akhgari
roc: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Bozz 2012-03-02 14:20:02 PST
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:11.0) Gecko/20100101 Firefox/11.0
Build ID: 20120228210006

Steps to reproduce:

Drag and drop images into message compose window.

Using current Daily nightly build Mozilla/5.0 (Windows NT 5.1; rv:13.0) Gecko/20120302 Thunderbird/13.0a1

Regression range is unknown.


Actual results:

When message is sent or saved as draft, the images do not show up in the message window. The attachment pane shows an attachment but with unknown file type and no size.

Example of content from view source...

Content-Type: application/x-moz-file;
name="jdjedfbj."
Content-Transfer-Encoding: base64
Content-ID: <part1.02080207.02020008@comcast.net>
Content-Disposition: inline;
filename="jdjedfbj."



Expected results:

Images should display in the message window.
Comment 1 Joe Sabash [:JoeS1] 2012-03-02 14:41:44 PST
Confirmed.
This exists as far back as 2012-02-20
Regression range needs refined.
Comment 2 Joe Sabash [:JoeS1] 2012-03-02 15:18:22 PST
Regression range
2012-02-17 Works
2012-02-18 No win build
2012-02-19 No win build
2012-02-20 Fails
Comment 3 Joe Sabash [:JoeS1] 2012-03-02 16:22:40 PST
bug 499008 landed in the regression range.
Ehsan, drag and drop images was fixed for thunderbird in bug 609632
could the new API have broken that fix.
Comment 4 Joe Sabash [:JoeS1] 2012-03-02 17:33:20 PST
Some further diagnostic info:
Here is what the data url looks like in the compose window (before sending)
In a working build:
<img src="data:image/gif;base64
after the regression:
<img src="data:application/x-moz-file;base64
Comment 5 rsx11m 2012-03-03 06:25:04 PST
This is also reproducible on  Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20120302 SeaMonkey/2.10a1, in both Mail/News and Composer. Thus, either something is missing in comm-central or it's indeed a Core issue.

Note that drag-and-drop produces a "data:application/x-moz-file" URI whereas copy-and-paste still generates a correct "data:image/..." source.
Comment 6 Joe Sabash [:JoeS1] 2012-03-04 11:51:37 PST
Additional testing:
Downloaded current Firefox trunk
Found a conteneditable test page on the web
Dragged a local image into that.
The image "appears" normally the same as it does in Thunderbird.
(I found no easy way to look at the source at this point)
Copy/paste that content into TB compose window.
The resulting source is: src="data:application/x-moz-file;base64
Since the actual drag was performed in Firefox, I conclude that the bug is Core.
Comment 7 Ludovic Hirlimann [:Usul] 2012-03-05 07:23:35 PST
*** Bug 732940 has been marked as a duplicate of this bug. ***
Comment 8 Ludovic Hirlimann [:Usul] 2012-03-05 07:25:05 PST
Setting tracking for Firefox cause this is core , but it really affects Thunderbird a lot more than firefox.
Comment 9 :Ehsan Akhgari 2012-03-23 15:58:19 PDT
I can reproduce.
Comment 10 :Ehsan Akhgari 2012-03-23 16:36:15 PDT
Created attachment 608913 [details] [diff] [review]
Patch (v1)

[Approval Request Comment]
Regression caused by (bug #): bug 499008
User impact if declined: Dragging images to editable content will be broken.
Testing completed (on m-c, etc.): Tested locally, under a debugger.
Risk to taking this patch (and alternatives if risky): Very minimal, this is caused by a typo!
String changes made by this patch: none
Comment 11 Mark Banner (:standard8) 2012-03-26 04:44:01 PDT
Temporary move back to c-c component to clear obsolete thunderbird tracking flag as it is now being tracked via core.
Comment 13 Marco Bonardo [::mak] 2012-03-27 05:10:25 PDT
https://hg.mozilla.org/mozilla-central/rev/f805ebc90a30
Comment 14 Bozz 2012-03-28 05:54:07 PDT
This is not fixed in todays Earlybird 13.0a2.

Verified fixed in todays Daily 14.0a1.
Comment 15 rsx11m 2012-03-28 06:16:32 PDT
Thanks for verifying. This yet has to be approved and checked in to mozilla-aurora to become visible in 13.0a2 builds.
Comment 16 Alex Keybl [:akeybl] 2012-03-28 14:46:25 PDT
Comment on attachment 608913 [details] [diff] [review]
Patch (v1)

[Triage Comment]
Low risk regression in FF13 - approving for Aurora.
Comment 17 David :Bienvenu 2012-03-28 21:21:03 PDT
*** Bug 740022 has been marked as a duplicate of this bug. ***
Comment 19 Bozz 2012-03-30 05:33:41 PDT
Verified fixed in todays Earlybird 13.0a2.

Note You need to log in before you can comment on or make changes to this bug.